NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Display.PointCloudCollection Class Reference

Represents a collection of point cloud objects More...

Inheritance diagram for NXOpen.Display.PointCloudCollection:

Public Member Functions

NXOpen.Display.PointCloud[] ToArray ()
 Returns an array of NXOpen.Display.PointCloud objects. More...
 
unsafe NXOpen.Display.PointCloud FindObject (string journalIdentifier)
 Finds the NXOpen.Display.PointCloud with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.Display.PointCloudBuilder 
CreatePointCloudBuilder (NXOpen.Display.PointCloud referencePointCloud)
 Creates a NXOpen.Display.PointCloudBuilder object used to build a point cloud. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of point cloud objects

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX11.0.0

Member Function Documentation

unsafe NXOpen.Display.PointCloudBuilder NXOpen.Display.PointCloudCollection.CreatePointCloudBuilder ( NXOpen.Display.PointCloud  referencePointCloud)

Creates a NXOpen.Display.PointCloudBuilder object used to build a point cloud.

If the referencePointCloud is not a null reference (Nothing in Visual Basic), the referencePointCloud object will be edited.

Created in NX11.0.0

License requirements: nx_point_cloud_view ("NX Point Cloud Viewer")

Parameters
referencePointCloudIf referencePointCloud is not a null reference (Nothing in Visual Basic), this object will be edited
Returns
Point cloud builder
override int NXOpen.Display.PointCloudCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Display.PointCloud NXOpen.Display.PointCloudCollection.FindObject ( string  journalIdentifier)

Finds the NXOpen.Display.PointCloud with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX11.0.0

License requirements: None.

Parameters
journalIdentifierIdentifier to be found
Returns
Reference point cloud found
NXOpen.Display.PointCloud [] NXOpen.Display.PointCloudCollection.ToArray ( )

Returns an array of NXOpen.Display.PointCloud objects.

Property Documentation

Tag NXOpen.Display.PointCloudCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.